#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;
    float float_eq_const_2_0;
    float float_eq_const_3_0;
    float float_eq_const_4_0;
    float float_eq_const_5_0;
    float float_eq_const_6_0;
    float float_eq_const_7_0;
    float float_eq_const_8_0;

    if (size < 36)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_5_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_6_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_7_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_8_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == -2.607808E-35f)
    if (float_eq_const_1_0 == -1.7047036E32f)
    if (float_eq_const_2_0 == -3.021209E9f)
    if (float_eq_const_3_0 == -5.680276E-15f)
    if (float_eq_const_4_0 == 2.3087722E-19f)
    if (float_eq_const_5_0 == -8.945351E32f)
    if (float_eq_const_6_0 == 4.4754818E-11f)
    if (float_eq_const_7_0 == 9.213293E-28f)
    if (float_eq_const_8_0 == 3.3703466E-21f)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
